//
//  PersonalizedSupportScreen.swift
//  Sequoia
//
//  Created by Victor on 09/10/2024.
//

import SwiftUI

struct PersonalizedSupportScreen: View {

    var body: some View {
        VStack(spacing: 16) {
            VStack(spacing: 32) {
                SQText("Bénéficiez d’un accompagnement personnalisé.", size: 20, font: .bold)
                    .multilineTextAlignment(.center)
                Image("assistance")
                    .resizable()
                    .scaledToFit()
                    .frame(height: 100)
                VStack {
                    SQText("Le saviez-vous ?", font: .demiBold)
                    SQText("Notre équipe dédiée aux professionnels est disponible pour répondre à toutes vos questions par téléphone.")
                        .multilineTextAlignment(.center)
                }
                SQButton("Je souhaite être appelé", color: .sqGrape(80), textColor: .white) {

                }
            }
            .padding(16)
            .background(Color.sqGrape(10))
            .cornerRadius(8)

            SQButton("Non merci, je souhaite résilier", color: .white, textSize: 13) {

            }
        }
        .sqNavigationBar(title: "Ne partez pas !")
        .padding()
    }
}

#Preview {
    PersonalizedSupportScreen()
}
